%define upstream_name    Tcl
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Complete access to Tcl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Tcl-1.02-fmt_error.patch

BuildRequires: tcl-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
The Tcl extension module gives access to the Tcl library with functionality
and interface similar to the C functions of Tcl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -b .fmt

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sat Mar 30 2013 rtp <rtp> 1.20.0-3.mga3
+ Revision: 406722
- Change buildrequire from tcl to tcl-devel.

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 373117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 jquelin <jquelin> 1.20.0-1.mga3
+ Revision: 269450
- more fix for format error
- missing buildrequires:
- imported package perl-Tcl


* Mon Jul 09 2012 cpan2dist 1.02-1mga
- initial mageia release, generated with cpan2dist
